SystemOrganization addCategory: #ConfigurationOfSciSmalltalk!

Object subclass: #ConfigurationOfSciSmalltalk
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfSciSmalltalk'!

!ConfigurationOfSciSmalltalk commentStamp: '<historical>' prior: 0!
A ConfigurationOfSciSmalltalk is a Metacello Configuration to load the packages in the SciSmalltalk project.

More information is available at https://github.com/SergeStinckwich/SciSmalltalk

!

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'WernerKassens 3/30/2014 13:38'!
DevelopmentSupport

"if i want to make a new developmentversion, i do this:
1. i decomment the _versionstring:''_ things in the projects in the used baseline.
2. i run something like this to make eg version08:
MetacelloToolBox createDevelopment: '0.8' for: 'ConfigurationOfSciSmalltalk' importFromBaseline: '0.4-baseline' description:'blah'.
3. this is important or bleedingEdge wont function correctly: i put the decommented versionstring things again in comments."
	<apiDocumentation>
! !

!ConfigurationOfSciSmalltalk class methodsFor: 'private' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfSciSmalltalk class methodsFor: 'catalog' stamp: 'WernerKassens 3/30/2014 13:41'!
catalogChangeLog
	"Returns a paragraph describing the most important changes in the configuration class."
	^ 'version08: KDTree benchmarks added'! !

!ConfigurationOfSciSmalltalk class methodsFor: 'catalog' stamp: 'SergeStinckwich 3/19/2014 17:18'!
catalogContactInfo
	"Returns a paragraph describing contact information such as email, mailing lists and website."
	^ 'This project is managed on github: https://github.com/SergeStinckwich/SciSmalltalk'! !

!ConfigurationOfSciSmalltalk class methodsFor: 'catalog' stamp: 'SergeStinckwich 3/19/2014 17:18'!
catalogDescription
	"Returns a paragraph describing the project"
	^ 'Tools for scientific computation in Smalltalk'! !

!ConfigurationOfSciSmalltalk class methodsFor: 'catalog' stamp: 'SergeStinckwich 3/19/2014 17:17'!
catalogKeyClassesAndExample
	"Returns a paragraph or more describing the key classes of your project. You can use Pillar/Pier syntax to layout out the text i.e., ==Code== and - for bullet."
	^ ''! !

!ConfigurationOfSciSmalltalk class methodsFor: 'catalog' stamp: 'SergeStinckwich 3/19/2014 17:18'!
catalogKeywords
	"Returns an array of symbols"
	^ #(mathematics science ODE) ! !

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'DanielUber 6/6/2012 11:39'!
createNewDevelopmentVersion
	"Create a new development version using the #stable version as model."

	"self createNewDevelopmentVersion"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) createNewDevelopmentVersionIn: self description: ''! !

!ConfigurationOfSciSmalltalk class methodsFor: 'private' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfSciSmalltalk class methodsFor: 'private' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfSciSmalltalk class methodsFor: 'metacello tool support' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfSciSmalltalk class methodsFor: 'loading' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfSciSmalltalk class methodsFor: 'loading' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfSciSmalltalk class methodsFor: 'loading' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfSciSmalltalk class methodsFor: 'accessing' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
project

	^self new project! !

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'DanielUber 6/6/2012 11:39'!
releaseDevelopmentVersion: commitMessage
	"Release #development version: set version blessing to #release, update the #development and #stable symbolic version methods and save the configuration."

	"self releaseDevelopmentVersion: '- release version 1.0.2'"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) releaseDevelopmentVersionIn: self description: commitMessage! !

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'DanielUber 6/6/2012 11:39'!
saveConfiguration: commitMessage
	"Save mcz file that contains the configuration to it's repository."

	"self saveConfiguration: '- fixed bug'"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) saveConfigurationPackageFor: self name asString description: commitMessage! !

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'DanielUber 6/6/2012 11:40'!
saveModifiedPackagesAndConfiguration: commitMessage
	"Save modified mcz files, update the #development version and then save the configuration."

	"self saveModifiedPackagesAndConfiguration: '- fixed bug'"

	<apiDocumentation>
	self ensureMetacello.
	(Smalltalk at: #MetacelloToolBox) saveModifiedPackagesAndConfigurationIn: self description: commitMessage! !

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'DanielUber 6/6/2012 11:40'!
updateToLatestPackageVersions: descriptionString
	"Update the #development version to match currently loaded mcz files."

	"self updateToLatestPackageVersions: '- fixed a bug'"

	<apiDocumentation>
	self ensureMetacello.
	((Smalltalk at: #MetacelloToolBox) updateToLatestPackageVersionsIn: self description: descriptionString) isEmpty
		ifTrue: [ self inform: 'All specs up to date' ]! !

!ConfigurationOfSciSmalltalk class methodsFor: 'development support' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfSciSmalltalk methodsFor: 'loading' stamp: 'HwaJong 2/12/2015 17:46'!
aliasToTypoClassNameDhbMaximumLikekihoodHistogramFit

	Smalltalk at: #DhbMaximumLikekihoodHistogramFit put: DhbMaximumLikelihoodHistogramFit! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 9/11/2014 17:39'!
baseline010: spec 
        <version: '0.10-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'added Math-AccuracyFramework'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '11/9/2014 17:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 9/16/2014 14:51'!
baseline011: spec 
        <version: '0.11-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'added Math-FunctionFit'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '16/9/2014 17:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'SergeStinckwich 11/17/2014 19:00'!
baseline012: spec 
        <version: '0.12-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'Add arbitrary precision float config'.
		    spec author: 'SergeStinckwich'.
		    spec timestamp: '17/11/2014 17:58'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' with: [spec requires: 'ArbitraryPrecisionFl'];
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'ArbitraryPrecisionFloat' 'ArbitraryPrecisionFloatTests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'wernerkassens 11/21/2014 13:02'!
baseline013: spec 
        <version: '0.13-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'Fixed problems with StatPseudoCollections'.
		    spec author: 'HwaJong'.
		    spec timestamp: ' 2014-11-18T20:34:14.583595+09:00'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.2';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' with: [spec requires: 'ArbitraryPrecisionFl'];
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'wernerkassens 11/21/2014 12:32'!
baseline014: spec 
        <version: '0.14-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'Fixed problems with StatPseudoCollections. made ArbitraryPrecisionFloat to load completely'.
		    spec author: 'werner kassens'.
		    spec timestamp: '  21 November 2014 12:49:48 am'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.2';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'HwaJong 12/27/2014 17:21'!
baseline015: spec 
        <version: '0.15-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: '3 different Combinations'.
		    spec author: 'HwaJong'.
		    spec timestamp: ' 2014-12-27T17:21:10.239685+09:00'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.4';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'HwaJong 1/14/2015 00:41'!
baseline016: spec 
        <version: '0.16-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: '3 different Combinations'.
		    spec author: 'HwaJong'.
		    spec timestamp: ' 2014-12-27T17:21:10.239685+09:00'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
						
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'wernerkassens 5/7/2015 14:29'!
baseline017: spec 
        <version: '0.17-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'added Math-AutomaticDifferenciation'.
		    spec author: 'werner kassens'.
		    spec timestamp: '6. may 2015'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-AccuracyFramework')];
			package: 'Math-AutomaticDifferenciation' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
			package: 'Math-Tests-AutomaticDifferenciation' with: [spec requires: 'Math-AutomaticDifferenciation'];			
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-AccuracyFramework'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-AccuracyFramework')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'SergeStinckwich 5/21/2015 17:04'!
baseline018: spec 
        <version: '0.18-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'clean tests packages'.
		    spec author: 'Serge Stinckwich'.
		    spec timestamp: '21 may 2015'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.
			spec
				project: 'StatPseudoCollections' with: [
					spec
						className: 'ConfigurationOfDaliotsPlayground';
						loads: #('StatPseudoCollections' );
						versionString: '23.6';
						repository: 'http://smalltalkhub.com/mc/HwaJong/DaliotsPlayground/main' ].

                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical' ;
									
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-FunctionFit' with: [spec requires: #('Math-DHB-Numerical' 'Math-Accuracy-Core')];
			package: 'Math-AutomaticDifferenciation' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];
			package: 'Math-Tests-FunctionFit' with: [spec requires: #('Math-FunctionFit' 'Math-DHB-wk')];
			package: 'Math-Tests-AutomaticDifferenciation' with: [spec requires: 'Math-AutomaticDifferenciation'];	
			package: 'Math-Tests-Accuracy' with: [spec requires: 'Math-Accuracy-Core' ];	
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')];
			package: 'Math-Accuracy-Core'.
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';" 
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].
		spec project: 'ArbitraryPrecisionFl' with:[
			spec
			className: 'ConfigurationOfArbitraryPrecisionFloat';
			loads: #( 'Core' 'Tests');
			repository: 'http://www.squeaksource.com/ArbitraryPrecisionFl'.
			 ].
		
		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy' 'StatPseudoCollections');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE' 'ArbitraryPrecisionFl');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk' 'Math-Tests-FunctionFit' 'Math-Tests-AutomaticDifferenciation');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk' 'Math-FunctionFit' 'Math-AutomaticDifferenciation');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: #('Math-Accuracy-ODE' 'Math-Accuracy-Core')].
		
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ]
! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'YuriyTymchuk 7/23/2013 22:37'!
baseline01: spec 
        <version: '0.1-baseline'>
        
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			package: 'Math-All'.
                spec
                        group: 'default' with: #('Core');
                        group: 'Core' with: #('Math-All');
                        group: 'Tests' with: #('Math-All'). ].! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'YuriyTymchuk 9/16/2013 14:24'!
baseline02: spec 
        <version: '0.2-baseline'>
	"make MetacelloToolBox happy, it translates the dot in the version string to a hyphen"
	"remove dependency on Math-All package"
        spec for: #common do: [
                spec blessing: #baseline.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-QuaternionExtensions' with: [spec requires: 'Math-DHB-Numerical'; requires: 'Math-Complex'];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: 'Math-Benchmarks-ODE';
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'wk 3/8/2014 01:02'!
baseline03: spec 
        <version: '0.3-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'KDTree has tests separated'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '3/7/2014 14:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-QuaternionExtensions' with: [spec requires: 'Math-DHB-Numerical'; requires: 'Math-Complex'];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: 'Math-Benchmarks-ODE';
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 3/30/2014 13:26'!
baseline04: spec 
        <version: '0.4-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'KDTree benchmarks added'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '3/29/2014 14:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-Complex'; requires: 'Math-DHB-Numerical'; requires: 'Math-Quaternion'];
			package: 'Math-QuaternionExtensions' with: [spec requires: 'Math-DHB-Numerical'; requires: 'Math-Complex'];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'wk 4/20/2014 18:18'!
baseline05: spec 
        <version: '0.5-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: '1. repeated spec requires: dont work as it only remembers the last requires:, hence changed to arrays. 
		2. necessary requirement for Math-DHB-Numerical added, since DHB wouldnt work if loaded separately via the configuration.
		3. one requirement of Math-DHB-NumericalExtensions deleted, since it would result in a loop that metacello cant solve and it is more probable that a user downloads Math-DHB-Numerical alone, than that he downloads Math-DHB-NumericalExtensions alone.
		4. a necessary requirement added to Math-QuaternionExtensions'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '4/20/2014 14:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical'with: [spec requires: #('Math-DHB-NumericalExtensions')];
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: #('Math-Complex' 'Math-Quaternion')];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' 'Math-Complex')];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 4/25/2014 07:42'!
baseline06: spec 
        <version: '0.6-baseline'>
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'correct sequence of loading and keep possibility to load Math-DHB-Numerical alone'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '4/25/2014 9:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion';
			package: 'Math-DHB-Numerical'with: [spec includes: 'Math-DHB-NumericalExtensions'];
			"extensions"
			package: 'Math-Number-Extensions';
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: #( 'Math-DHB-Numerical' 'Math-Complex' 'Math-Quaternion')];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' 'Math-Complex')];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 5/1/2014 13:15'!
baseline07: spec 
        <version: '0.7-baseline'>
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [ spec package:'Math-SqueakPrerequisite'. ].
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'corrections for squeak compatibility'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '5/1/2014 9:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical'with: [spec includes: 'Math-DHB-NumericalExtensions'];
			"extensions"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: #( 'Math-DHB-Numerical' 'Math-Complex' 'Math-Quaternion')];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion' 'Math-Complex')];
			"tests"
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-NumericalExtensions'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 5/4/2014 17:08'!
baseline08: spec 
        <version: '0.8-baseline'>
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [ spec package:'Math-SqueakPrerequisite'. ].
        spec for: #common do: [
                spec blessing: #baseline.
		    spec description: 'less complicated dependencies. added Math-DHB-wk'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '5/4/2014 9:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE';
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE']! !

!ConfigurationOfSciSmalltalk methodsFor: 'baselines' stamp: 'WernerKassens 5/11/2014 14:32'!
baseline09: spec 
        <version: '0.9-baseline'>
        spec for: #'common' do: [
                spec blessing: #baseline.
		    spec description: 'changes for squeak compatibility'.
		    spec author: 'WernerKassens'.
		    spec timestamp: '5/8/2014 17:35'.
                spec repository: 'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main'.    
                spec 
			"core"
			package: 'Math-Random';
			package: 'Math-KDTree';
			package: 'Math-ODE'with: [spec requires: #('Math-DHB-Numerical' 'Math-DHB-NumericalExtensions' )];  "there is at the moment a dependency on DhbMatrix>>at:at:"
			package: 'Math-Complex';
			package: 'Math-Quaternion' with: [spec requires: 'Math-Complex'];
			package: 'Math-DHB-Numerical';
			"extensions"
			package: 'Math-ComplexExtensions' with: [spec requires: #('Math-Complex' 'Math-DHB-Numerical')];
			package: 'Math-DHB-NumericalExtensions' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-QuaternionExtensions' with: [spec requires: #('Math-DHB-Numerical' 'Math-Quaternion')];
			package: 'Math-DHB-wk' with: [spec requires: 'Math-DHB-Numerical'];
			"tests"
			package: 'Math-Tests-Random' with: [spec requires: 'Math-Random'];
			package: 'Math-Tests-Complex' with: [spec requires: 'Math-ComplexExtensions'];
			package: 'Math-Tests-KDTree' with: [spec requires: 'Math-KDTree'];
			package: 'Math-Tests-DHB-Numerical' with: [spec requires: 'Math-DHB-Numerical'];
			package: 'Math-Tests-ODE' with: [spec requires: 'Math-ODE'];
			package: 'Math-Tests-Quaternion' with: [spec requires: 'Math-Quaternion'];
			package: 'Math-Tests-DHB-wk' with: [spec requires: 'Math-DHB-wk'];

			"benchmarks"
			package: 'Math-Benchmarks-ODE' with: [spec requires: #( 'Math-ODE' 'SMark' 'XMLWriter')];
			package: 'Math-Benchmarks-KDTree' with: [spec requires: #( 'Math-KDTree' 'SMark' )];
			"accuracy"
			package: 'Math-Accuracy-ODE' with: [ spec requires: #( 'Math-ODE' 'XMLWriter')].
		
		spec project: 'SMark' with: [
			spec
				className: 'ConfigurationOfSMark';
				"versionString: '';"	
				repository: 'http://smalltalkhub.com/mc/StefanMarr/SMark/main' ].
		spec project: 'XMLWriter' with: [
			spec
				className: 'ConfigurationOfXMLWriter';
				"versionString: '';"
				repository: 'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main' ].

		spec
			group: 'default' with: #('Core' 'Extensions' 'Tests' 'Benchmarks' 'Accuracy');
                  group: 'Core' with: #( 'Math-Complex' 'Math-Quaternion' 'Math-DHB-Numerical' 'Math-Random' 'Math-KDTree' 'Math-ODE');
			group: 'Tests' with: #('Math-Tests-DHB-Numerical' 'Math-Tests-Complex' 'Math-Tests-Quaternion' 'Math-Tests-Random' 'Math-Tests-ODE' 'Math-Tests-KDTree' 'Math-Tests-DHB-wk');
                  group: 'Extensions' with: #('Math-ComplexExtensions' 'Math-Number-Extensions' 'Math-QuaternionExtensions' 'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
			group: 'Benchmarks' with: #('Math-Benchmarks-ODE' 'Math-Benchmarks-KDTree');
			group: 'Accuracy' with: 'Math-Accuracy-ODE'].
	  spec for: #'pharo' do: [spec package: 'Math-Number-Extensions' ].
	  spec for: #'squeak' do: [
		spec group: 'Extensions' overrides: #('Math-ComplexExtensions' 'Math-QuaternionExtensions'  'Math-DHB-NumericalExtensions' 'Math-DHB-wk');
		 	package: 'Math-SqueakPrerequisite';
			package: 'Math-ODE' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-DHB-Numerical' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-KDTree' with: [ spec requires: 'Math-SqueakPrerequisite'];
			package: 'Math-Tests-Random' with: [ spec includes: 'Math-SqueakPrerequisite'] ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'symbolic versions' stamp: 'SergeStinckwich 5/21/2015 17:08'!
development: spec
	<symbolicVersion: #'development'>
	spec for: #'common' version: '0.18-baseline'.
! !

!ConfigurationOfSciSmalltalk methodsFor: 'helpers' stamp: 'NataliaMoskovchuk 9/26/2013 20:32'!
populateSpec: aSpec with: list
	"generated by Snapshotcello
	
	creates a spec object for the package and the version stored in the list"
	
	list do: [:each |
		aSpec package: each third with: [
			aSpec file: (each first  copyUpToLast: $. ).
			aSpec repository: each second ] ]! !

!ConfigurationOfSciSmalltalk methodsFor: 'accessing' stamp: 'DanielUber 5/20/2012 14:47:13.668'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfSciSmalltalk methodsFor: 'snapshots' stamp: 'NataliaMoskovchuk 9/26/2013 20:32'!
snapshot1
	"generated by Snapshotcello"

	^ #( 
		#('ConfigurationOfSMark-StefanMarr.1.mcz'  'http://smalltalkhub.com/mc/StefanMarr/SMark/main/'  'ConfigurationOfSMark' ) 
		#('ConfigurationOfXMLWriter-StephaneDucasse.39.mcz'  'http://smalltalkhub.com/mc/PharoExtras/XMLWriter/main/'  'ConfigurationOfXMLWriter' ) 
		#('Math-Random-SergeStinckwich.7.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Random' ) 
		#('Math-KDTree-wernerkassens.6.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-KDTree' ) 
		#('Math-ODE-NataliaMoskovchuk.28.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-ODE' ) 
		#('Math-Complex-DanielUber.6.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Complex' ) 
		#('Math-Quaternion-YuriyTymchuk.6.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Quaternion' ) 
		#('Math-DHB-Numerical-YuriyTymchuk.22.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-DHB-Numerical' ) 
		#('Math-Number-Extensions.Pharo-DanielUber.8.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Number-Extensions' ) 
		#('Math-Tests-Random-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-Random' ) 
		#('Math-ComplexExtensions-YuriyTymchuk.2.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-ComplexExtensions' ) 
		#('Math-DHB-NumericalExtensions-DanielUber.2.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-DHB-NumericalExtensions' ) 
		#('Math-QuaternionExtensions-DanielUber.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-QuaternionExtensions' ) 
		#('Math-Tests-Complex-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-Complex' ) 
		#('Math-Tests-DHB-Numerical-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-DHB-Numerical' ) 
		#('Math-Tests-ODE-NataliaMoskovchuk.13.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-ODE' ) 
		#('Math-Tests-Quaternion-SergeStinckwich.1.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Tests-Quaternion' ) 
		#('Scripting-StefanMarr.23.mcz'  'http://smalltalkhub.com/mc/StefanMarr/SMark/main/'  'Scripting' ) 
		#('SMark-StefanMarr.51.mcz'  'http://smalltalkhub.com/mc/StefanMarr/SMark/main/'  'SMark' ) 
		#('ConfigurationOfOrderPreservingDictionary-StephaneDucasse.2.mcz'  'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main/'  'ConfigurationOfOrderPreservingDictionary' ) 
		#('Collections-OrderPreservingDictionary-JAA.7.mcz'  'http://smalltalkhub.com/mc/Pharo/OrderPreservingDictionary/main/'  'Collections-OrderPreservingDictionary' ) 
		#('XML-Writer-Core-CamilloBruni.2.mcz'  'http://smalltalkhub.com/mc/Pharo/XMLWriter/main/'  'XML-Writer-Core' ) 
		#('Math-Accuracy-ODE-YuriyTymchuk.3.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Accuracy-ODE' ) 
		#('Math-Benchmarks-ODE-YuriyTymchuk.7.mcz'  'http://www.smalltalkhub.com/mc/SergeStinckwich/SciSmalltalk/main/'  'Math-Benchmarks-ODE' ) 
	)! !

!ConfigurationOfSciSmalltalk methodsFor: 'symbolic versions' stamp: 'SergeStinckwich 5/21/2015 17:08'!
stable: spec
    <symbolicVersion: #'stable'>
    spec for: #'squeak' version: '0.12'.
    spec for: #'pharo2.x' version: '0.13'.
    spec for: #'pharo3.x' version: '0.23'.
    spec for: #'pharo4.x' version: '0.25'.
	 spec for: #'pharo5.x' version: '0.25'.! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wk 4/21/2014 08:32'!
version010: spec
	<version: '0.10' imports: #('0.5-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'new version of Math-Tests-KDTree'.
		spec author: 'WernerKassens'.
		spec timestamp: '4/21/2014 08:20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.25';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.5';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'WernerKassens 4/25/2014 09:01'!
version011: spec
	<version: '0.11' imports: #('0.6-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'sequence of loading corrected'.
		spec author: 'WernerKassens'.
		spec timestamp: '4/25/2014 09:35'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-nice.9';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.7';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.25';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.5';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'WernerKassens 5/11/2014 16:54'!
version012: spec
	<version: '0.12' imports: #('0.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'should also work in Squeak'.
		spec author: 'WernerKassens'.
		spec timestamp: '5/11/2014 12:47'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-nice.9';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.5';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'WernerKassens 7/22/2014 14:16'!
version013: spec
	<version: '0.13' imports: #('0.9-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'made compatible with 4.0'.
		spec author: 'WernerKassens'.
		spec timestamp: '7/22/2014 12:47'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-nice.9';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.5';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wk.20';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'WernerKassens 9/18/2014 13:35'!
version014: spec
	<version: '0.14' imports: #('0.11-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Add last contributions of Werner'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '9/17/2014 10:55'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.23';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuraryFramework' with:'Math-AccuracyFramework-WernerKassens.29';	
			package: 'Math-FunctionFit' with:'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with:'Math-Tests-FunctionFit-WernerKassens.1'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 11/18/2014 12:55'!
version015: spec
	<version: '0.15' imports: #('0.13-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Fixed the problems with StatPseudoCollections'.
		spec author: 'HwaJong'.
		spec timestamp: '2014-11-18T20:33:11.980491+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFloat' with:'1.0'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-nice.8';
			package: 'Math-Quaternion' with: 'Math-Quaternion-nice.9';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.27';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-WernerKassens.6';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.23';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-WernerKassens.3';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuraryFramework' with:'Math-AccuracyFramework-WernerKassens.29';	
			package: 'Math-FunctionFit' with:'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with:'Math-Tests-FunctionFit-WernerKassens.1'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.8'. ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wernerkassens 11/21/2014 12:29'!
version016: spec
	<version: '0.16' imports: #('0.13-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Update several packages'.
		spec author: 'SergeStinckwich'.
		spec timestamp: ' 2014-11-18T13:08:37.011+01:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.2'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.30';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.9';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'HwaJong 12/27/2014 17:21'!
version017: spec
	<version: '0.17' imports: #('0.15-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: '3 different Combinations'.
		spec author: 'HwaJong'.
		spec timestamp: ' 2014-12-27T17:21:10.239685+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.4'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.30';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.9';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'HwaJong 1/14/2015 00:42'!
version018: spec
	<version: '0.18' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Combinations renamed. removed old one'.
		spec author: 'HwaJong'.
		spec timestamp: ' 2015-01-14T00:42:35.15+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.30';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.9';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'.
			].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'HwaJong 2/12/2015 17:54'!
version019: spec
	<version: '0.19' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'typo of DhbMaximumLikekihoodHistogramFit fixed'.
		spec author: 'HwaJong'.
		spec timestamp: ' 2015-02-12T17:54:29.643+09:00'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.0';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.10';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: [
				spec file: 'Math-DHB-Numerical-HwaJong.31'.
				spec postLoadDoIt: #'aliasToTypoClassNameDhbMaximumLikekihoodHistogramFit'];
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-WernerKassens.2';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-nice.3';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-wernerkassens.2'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 1/23/2013 15:34'!
version01: spec 
        <version: '0.1' imports: #('0.1-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
			package: 'Math-All' with: 'Math-All-DanielUber.3'].! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wernerkassens 2/13/2015 14:31'!
version020: spec
	<version: '0.20' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'last changes added'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-02-13'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-HwaJong.11';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: [
				spec file: 'Math-DHB-Numerical-HwaJong.31'.
				spec postLoadDoIt: #'aliasToTypoClassNameDhbMaximumLikekihoodHistogramFit'];
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-HwaJong.3';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'StephaneDucasse 3/20/2015 09:02'!
version021: spec
	<version: '0.21' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' I added the two RNG in Math-Random.
I cleaned also the hierarchy.
    - no need to have initialize as abstract to force all the subclass to define an empty method. Strange design
    - tab a bit the code and comments.'.
		spec author: 'Stéphane Ducasse'.
		spec timestamp: ' 2015-03-20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.13';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: [
				spec file: 'Math-DHB-Numerical-HwaJong.31'.
				spec postLoadDoIt: #'aliasToTypoClassNameDhbMaximumLikekihoodHistogramFit'];
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-HwaJong.3';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wernerk 3/20/2015 22:01'!
version022: spec
	<version: '0.22' imports: #('0.16-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' deleted postload for DhbMaximumLikelihoodHistogramFit and added latest additions'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-03-20'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-StephaneDucasse.13';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.32';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.7';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-HwaJong.10';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.4';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5'].

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wernerkassens 5/8/2015 02:10'!
version023: spec
	<version: '0.23' imports: #('0.17-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' latest releases added for 3.0,4.0,5.0'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-05-08'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.34';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.24';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.11';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wernerkassens 5/8/2015 02:42'!
version024: spec
	<version: '0.24' imports: #('0.17-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: ' replaced deprecated methods for 5.0'.
		spec author: 'werner kassens'.
		spec timestamp: ' 2015-05-08'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-wernerkassens.34';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-wernerkassens.12';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-AccuracyFramework' with: 'Math-AccuracyFramework-wernerkassens.30';	
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 5/21/2015 17:25'!
version025: spec
	<version: '0.25' imports: #('0.18-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'Clean tests packages'.
		spec author: 'Serge Stinckwich'.
		spec timestamp: '21 may 2015'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9';
			project: 'ArbitraryPrecisionFl' with:'1.1.1';
			project: 'StatPseudoCollections' with: '23.6'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.14';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.34';
			package: 'Math-ODE' with: 'Math-ODE-nice.30';
			package: 'Math-Complex' with: 'Math-Complex-wernerkassens.9';
			package: 'Math-Quaternion' with: 'Math-Quaternion-wernerkassens.10';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.35';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-WernerKassens.4';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-WernerKassens.3';
			package: 'Math-AutomaticDifferenciation' with: 'Math-AutomaticDifferenciation-wernerkassens.1';
			package: 'Math-DHB-wk' with: 'Math-DHB-wk-wernerkassens.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.4';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-HwaJong.5';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-wernerkassens.25';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.13';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-nice.16';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-nice.3';
			package: 'Math-Tests-DHB-wk' with: 'Math-Tests-DHB-wk-wernerkassens.5';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3';
			package: 'Math-Accuracy-Core' with: 'Math-Accuracy-Core-SergeStinckwich.1';
			package: 'Math-Tests-Accuracy' with:'Math-Tests-Accuracy-SergeStinckwich.1';
			package: 'Math-FunctionFit' with: 'Math-FunctionFit-WernerKassens.1';
			package: 'Math-Tests-FunctionFit' with: 'Math-Tests-FunctionFit-HwaJong.5';
			package: 'Math-Tests-AutomaticDifferenciation' with: 'Math-Tests-AutomaticDifferenciation-wernerkassens.1']. 			

	spec for: #'pharo' do: [
		spec package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8' ].

	spec for: #'squeak' do: [
		spec 
			package: 'Math-SqueakPrerequisite' with: 'Math-SqueakPrerequisite-wk.3';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.7'].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 1/23/2013 15:35'!
version02: spec 
        <version: '0.2' imports: #('0.1-baseline') >
        
        spec for: #common do: [
                spec blessing: #release.
                spec 
			package: 'Math-All' with: 'Math-All-DanielUber.8'].! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 1/23/2013 15:35'!
version03: spec 
        <version: '0.3' imports: #('0.2-baseline') >
        
        spec for: #common do: [
		spec blessing: #release.
            spec 
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-DanielUber.1';
			package: 'Math-ComplexTests' with: 'Math-ComplexTests-DanielUber.5';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-DanielUber.19';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-DHB-NumericalTests' with: 'Math-DHB-NumericalTests-DanielUber.7';
			package: 'Math-Extensions' with: 'Math-Extensions-DanielUber.3';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.6';
			package: 'Math-Number-Extensions.Pharo' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-ODE' with: 'Math-ODE-DanielUber.10';
			package: 'Math-ODETests' with: 'Math-ODETests-DanielUber.11';
			package: 'Math-Quaternion' with: 'Math-Quaternion-DanielUber.5';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-QuaternionTests' with: 'Math-QuaternionTests-DanielUber.4';
			package: 'Math-Random' with: 'Math-Random-DanielUber.4';
			package: 'Math-RandomTests' with: 'Math-RandomTests-DanielUber.3'].! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wk 3/9/2014 13:30'!
version04: spec
	<version: '0.4' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'release'.
		spec description: 'development version'.
		spec author: 'DanielUber'.
		spec timestamp: '6/6/2012 10:59'.
		spec 
			package: 'Math-Random' with: 'Math-Random-DanielUber.5';
			package: 'Math-KDTree' with: 'Math-KDTree-wk.30';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.14';
			package: 'Math-ODE' with: 'Math-ODE-DanielUber.10';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-DanielUber.5';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-DanielUber.19';
			package: 'Math-Number-Extensions.Pharo' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-RandomTests' with: 'Math-RandomTests-DanielUber.4';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-DanielUber.1';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-Extensions' with: 'Math-Extensions-DanielUber.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-ComplexTests' with: 'Math-ComplexTests-DanielUber.5';
			package: 'Math-DHB-NumericalTests' with: 'Math-DHB-NumericalTests-DanielUber.7';
			package: 'Math-ODETests' with: 'Math-ODETests-DanielUber.11';
			package: 'Math-QuaternionTests' with: 'Math-QuaternionTests-DanielUber.4'. ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 1/25/2013 14:29'!
version05: spec
	<version: '0.5' imports: #('0.2-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'modified Random tests and fixed an error in MTGenerator
relaxed convergence bound on PoissonGenerator
added announcements/watchers to ODESolver 
changes to Math-ODE
Added Tableau Stepper'.
		spec author: 'DanielUber'.
		spec timestamp: '7/20/2012 13:04'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-wernerkassens.6';
			package: 'Math-ODE' with: 'Math-ODE-DanielUber.13';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-DanielUber.5';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-SergeStinckwich.21';
			package: 'Math-Number-Extensions.Pharo' with: 'Math-Number-Extensions.Pharo-SergeStinckwich.10';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-DanielUber.1';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.1';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.1';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1']
! !

!ConfigurationOfSciSmalltalk methodsFor: 'snapshot versions' stamp: 'NataliaMoskovchuk 9/26/2013 20:32'!
version06: spec
	"generated by Snapshotcello"
	<version: '0.6'>

	spec for: #common do: [
		self populateSpec: spec with: self snapshot1 ]! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'wk 3/9/2014 13:30'!
version07: spec
	<version: '0.7' imports: #('0.3-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'KDTree has tests separated, new version of KDTree'.
		spec author: 'WernerKassens'.
		spec timestamp: '3/7/2014 14:39'.
		spec 
			project: 'SMark' with: '1.0.0';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-wk.30';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-YuriyTymchuk.22';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.14';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.1';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'WernerKassens 3/30/2014 13:23'!
version08: spec
	<version: '0.8' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'KDTree benchmarks added, test for Dhb compatibility added, KDTree generally faster'.
		spec author: 'WernerKassens'.
		spec timestamp: '3/30/2014 13:18'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-YuriyTymchuk.22';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-DanielUber.2';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.19';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-SergeStinckwich.1';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !

!ConfigurationOfSciSmalltalk methodsFor: 'versions' stamp: 'SergeStinckwich 4/16/2014 16:42'!
version09: spec
	<version: '0.9' imports: #('0.4-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: 'Replace asVector by asDhbVector in order to be able to load SciSmalltalk with MOOSE 5.0'.
		spec author: 'SergeStinckwich'.
		spec timestamp: '4/16/2014 16:40'.
		spec 
			project: 'SMark' with: '1.0.1';
			project: 'XMLWriter' with: '2.3.9'.
		spec 
			package: 'Math-Random' with: 'Math-Random-SergeStinckwich.7';
			package: 'Math-KDTree' with: 'Math-KDTree-WernerKassens.33';
			package: 'Math-ODE' with: 'Math-ODE-SergeStinckwich.29';
			package: 'Math-Complex' with: 'Math-Complex-DanielUber.6';
			package: 'Math-Quaternion' with: 'Math-Quaternion-YuriyTymchuk.6';
			package: 'Math-DHB-Numerical' with: 'Math-DHB-Numerical-WernerKassens.25';
			package: 'Math-Number-Extensions' with: 'Math-Number-Extensions.Pharo-DanielUber.8';
			package: 'Math-Tests-Random' with: 'Math-Tests-Random-SergeStinckwich.1';
			package: 'Math-ComplexExtensions' with: 'Math-ComplexExtensions-YuriyTymchuk.2';
			package: 'Math-DHB-NumericalExtensions' with: 'Math-DHB-NumericalExtensions-WernerKassens.3';
			package: 'Math-QuaternionExtensions' with: 'Math-QuaternionExtensions-DanielUber.1';
			package: 'Math-Tests-Complex' with: 'Math-Tests-Complex-SergeStinckwich.1';
			package: 'Math-Tests-KDTree' with: 'Math-Tests-KDTree-WernerKassens.19';
			package: 'Math-Tests-DHB-Numerical' with: 'Math-Tests-DHB-Numerical-WernerKassens.5';
			package: 'Math-Tests-ODE' with: 'Math-Tests-ODE-SergeStinckwich.15';
			package: 'Math-Tests-Quaternion' with: 'Math-Tests-Quaternion-SergeStinckwich.1';
			package: 'Math-Benchmarks-ODE' with: 'Math-Benchmarks-ODE-YuriyTymchuk.7';
			package: 'Math-Benchmarks-KDTree' with: 'Math-Benchmarks-KDTree-WernerKassens.8';
			package: 'Math-Accuracy-ODE' with: 'Math-Accuracy-ODE-YuriyTymchuk.3'. ].
! !
